Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.pattern
Class PatternType1

    java.lang.Object
      com.sun.pdfview.pattern.PDFPattern
          com.sun.pdfview.pattern.PatternType1

    public class PatternType1

extends PDFPattern

A type 1 (tiling) pattern

Field Summary
`static int` | `PAINT_COLORED` paint types
`static int` | `PAINT_UNCOLORED`
`static int` | `TILE_CONSTANT` tiling types
`static int` | `TILE_FASTER`
`static int` | `TILE_NODISTORT`

Constructor Summary
`PatternType1()` Creates a new instance of PatternType1

Method Summary
`java.awt.geom.Rectangle2D` | `getBBox()` get the bounding box
`PDFPaint` | `getPaint(PDFPaint basePaint)` Create a PDFPaint from this pattern and set of components.
`int` | `getPaintType()` get the paint type
`java.util.HashMap<java.lang.String,PDFObject>` | `getResources()` get the associated resources
`int` | `getTilingType()` get the tiling type
`int` | `getXStep()` get the x step
`int` | `getYStep()` get the y step
`protected void` | `parse(PDFObject patternObj, java.util.Map rsrc)` Parse the pattern from the PDFObject Note the resources passed in are ignored...

Methods inherited from class com.sun.pdfview.pattern.PDFPattern
`getPattern, getPatternType, getTransform, setTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAINT_COLORED

    public static final int PAINT_COLORED

  paint types

  See Also:
    Constant Field Values

### PAINT_UNCOLORED

    public static final int PAINT_UNCOLORED

See Also:
  Constant Field Values

### TILE_CONSTANT

    public static final int TILE_CONSTANT

  tiling types

  See Also:
    Constant Field Values

### TILE_NODISTORT

    public static final int TILE_NODISTORT

See Also:
  Constant Field Values

### TILE_FASTER

    public static final int TILE_FASTER

See Also:
  Constant Field Values

Constructor Detail

### PatternType1

    public PatternType1()

  Creates a new instance of PatternType1

Method Detail

### parse

    protected void parse(PDFObject patternObj,
                         java.util.Map rsrc)
                  throws java.io.IOException

  Parse the pattern from the PDFObject Note the resources passed in are ignored...

  Specified by:
    `parse` in class `PDFPattern`
  Parameters:
    `patternObj` - the pdfobject with data for this pattern
  Throws:
    `java.io.IOException`

### getPaint

    public PDFPaint getPaint(PDFPaint basePaint)

  Create a PDFPaint from this pattern and set of components. This creates a buffered image of this pattern using the given paint, then uses that image to create the correct TexturePaint to use in the PDFPaint.

  Specified by:
    `getPaint` in class `PDFPattern`
  Parameters:
    `basePaint` - the base paint to use, or null if not needed

### getResources

    public java.util.HashMap<java.lang.String,PDFObject> getResources()

  get the associated resources

### getPaintType

    public int getPaintType()

  get the paint type

### getTilingType

    public int getTilingType()

  get the tiling type

### getBBox

    public java.awt.geom.Rectangle2D getBBox()

  get the bounding box

### getXStep

    public int getXStep()

  get the x step

### getYStep

    public int getYStep()

  get the y step

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD